<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hpsf.SummaryInformation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hpsf.SummaryInformation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/SummaryInformation.html" target="_top">Frames</a>
        </li>
        <li><a href="SummaryInformation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hpsf.SummaryInformation" class="title">Uses of Class<br>org.apache.poi.hpsf.SummaryInformation
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi">org.apache.poi</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor">org.apache.poi.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/package-summary.html">org.apache.poi</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/package-summary.html">org.apache.poi</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/POIDocument.html#getSummaryInformation--">getSummaryInformation</a></span>()</code>
                                <div class="block">Fetch the Summary Information of the document</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIOLE2TextExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getSummaryInformation--">getSummaryInformation</a></span>()</code>
                                <div class="block">Returns the summary information metadata for the document.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertySetFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/PropertySetFactory.html#newSummaryInformation--">newSummaryInformation</a></span>()</code>
                                <div class="block">Creates a new summary information.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a> that return <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">EventBasedExcelExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#getSummaryInformation--">getSummaryInformation</a></span>()</code>
                                <div class="block">Would return the summary information metadata for the document,
                                    if we supported it
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                   title="class in org.apache.poi.hpsf">SummaryInformation</a> in <a
                            href="../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                title="class in org.apache.poi.hpsf">SummaryInformation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                    href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/class-use/SummaryInformation.html" target="_top">Frames</a>
        </li>
        <li><a href="SummaryInformation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
